Login | Sign Up
  • FA
  • EN

API Docs

POST /api/v1/payments/boost

Boost a resource (e.g., gym or training service) using a selected boost plan.


Permissions

PermissionDescription
payments.boost_ownBoost your own resources
payments.boost_allBoost any resource

Request Body Parameters

NameTypeRequiredDescriptionExample
boostable_typestringYesType of resource to boost (gym or training_service)"gym"
boostable_idintYesID of the resource to boost42
planstringYesName of the boost plan"basic"

Use /prices to get available plan names and pricing.


Request Example

{
  "boostable_type": "gym",
  "boostable_id": 42,
  "plan": "basic"
}

Response

200 OK

Returns the created marketing boost resource.

{
  "data": {
    "id": 101,
    "boostable_type": "App\\Models\\Gym",
    "boostable_id": 42,
    "level": 1,
    "starts_at": "2024-01-01 00:00:00",
    "ends_at": "2024-01-08 00:00:00"
  }
}

See Marketing Boost Resource.


Error Responses

StatusDescriptionReference
400Already have a boost
400Insufficient balance
404Plan not found
422Validation errorValidation error
401UnauthorizedAuthentication error
403Forbidden (no permission)Permission error
footer wave
logo

Dambel, the smart world of fitness and nutrition

LinkedinInstagramXYoutubeTelegramGitHub